import * as i0 from "@angular/core";
export declare class TextToSpeechService {
    private readonly locale;
    private readonly ngZone;
    private readonly utterance;
    private activeVoice;
    voices: SpeechSynthesisVoice[];
    constructor();
    private setVoices;
    /**
     * Updates the active voice
     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisVoice/voiceURI)
     * @param voiceUri
     */
    updateVoice(voiceUri: string): void;
    speak(text: string, speed?: number): Promise<unknown>;
    pause(): void;
    resume(): void;
    cancel(): void;
    get hasVoice(): boolean;
    private setActiveVoice;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextToSpeechService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TextToSpeechService>;
}
